Bug 146616 - kernel-2.6.10-1.741_FC3 does not support usb storage device
Summary: kernel-2.6.10-1.741_FC3 does not support usb storage device
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-30 19:31 UTC by Beny Spensieri Jr.
Modified: 2015-01-04 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 04:39:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Beny Spensieri Jr. 2005-01-30 19:31:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
kernel-2.6.10-1.737_FC3 supported mounting usb storage devices,
kernel-2.6.10-1.741_FC3 does not.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1.  Install kernel-2.6.10-1.741_FC3
2.  Insert USB memory stick

    

Actual Results:  Output from tail -f /var/log/messages with
kernel-2.6.10-1.741_FC3:

Jan 29 15:18:54 localhost kernel: usb 1-1.3: new full speed USB device
using ohci_hcd and address 3
Jan 29 15:18:58 localhost modprobe: WARNING: Error inserting scsi_mod
(/lib/modules/2.6.10-1.741_FC3/kernel/drivers/scsi/scsi_mod.ko):
Unknown symbol in module, or unknown parameter (see dmesg)
Jan 29 15:18:58 localhost modprobe: FATAL: Error inserting usb_storage
(/lib/modules/2.6.10-1.741_FC3/kernel/drivers/usb/storage/usb-storage.ko):
Unknown symbol in module, or unknown parameter (see dmesg)
Jan 29 15:18:58 localhost kernel: scsi_mod: Unknown parameter
`max_scsi_luns'
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_report_device_reset
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_remove_host
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_host_put
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_scan_host
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_add_host
Jan 29 15:18:58 localhost kernel: usb_storage: Unknown symbol
scsi_host_alloc
Jan 29 15:18:58 localhost usb.agent[4362]: ... can't load module
usb-storage
Jan 29 15:18:58 localhost usb.agent[4362]: missing kernel or user mode
driver usb-storage


Expected Results:  Output from tail -f /var/log/messages with
kernel-2.6.10-1.737_FC3:

Jan 29 15:28:17 localhost kernel: usb 1-1.1: new full speed USB device
using ohci_hcd and address 3
Jan 29 15:28:21 localhost kernel: scsi_mod: Unknown parameter
`max_scsi_luns'
Jan 29 15:28:21 localhost kernel: SCSI subsystem initialized
Jan 29 15:28:21 localhost kernel: Initializing USB Mass Storage driver...
Jan 29 15:28:21 localhost kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Jan 29 15:28:21 localhost kernel: usbcore: registered new driver
usb-storage
Jan 29 15:28:21 localhost kernel: USB Mass Storage support registered.
Jan 29 15:28:26 localhost kernel:   Vendor: SanDisk   Model: Cruzer
Mini       Rev: 0.2
Jan 29 15:28:26 localhost kernel:   Type:   Direct-Access            
         ANSI SCSI revision: 02
Jan 29 15:28:27 localhost scsi.agent[4236]: disk at
/devices/pci0000:00/0000:00:02.0/usb1/1-1/1-1.1/1-1.1:1.0/host0/target0:0:0/0:0:0:0
Jan 29 15:28:27 localhost kernel: SCSI device sda: 2001888 512-byte
hdwr sectors (1025 MB)
Jan 29 15:28:27 localhost kernel: sda: Write Protect is off
Jan 29 15:28:27 localhost kernel: sda: assuming drive cache: write through
Jan 29 15:28:27 localhost kernel: SCSI device sda: 2001888 512-byte
hdwr sectors (1025 MB)
Jan 29 15:28:27 localhost kernel: sda: Write Protect is off
Jan 29 15:28:27 localhost kernel: sda: assuming drive cache: write through
Jan 29 15:28:28 localhost kernel:  sda: sda1
Jan 29 15:28:28 localhost kernel: Attached scsi removable disk sda at
scsi0, channel 0, id 0, lun 0
Jan 29 15:28:29 localhost kernel: SELinux: initialized (dev sda1, type
vfat), uses genfs_contexts

Comment 1 Sitsofe Wheeler 2005-01-31 07:56:39 UTC
You may have been bitten by the invalid module parameter bug...

Comment 2 Dave Jones 2005-02-02 04:14:59 UTC
this should be fixed in the -1.753 kernel currently in updates-testing

Comment 3 Beny Spensieri Jr. 2005-02-04 18:49:46 UTC
This is now working in the -1.753 and -1.760 kernels.


Note You need to log in before you can comment on or make changes to this bug.